[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TListItems.Delete

Removes the list item specified in AIndex from the container.

## Declaration

Source position: comctrls.pp line 1171

`public procedure TListItems.Delete(`
`const AIndex: Integer`
`);`

## Arguments

`AIndex` |  | Ordinal position in the container for the list item deleted in the method.

## Description

Delete accesses the list item in the internal storage, casts it to the TListItem type, and calls its Delete method to free the class instance.

## See also

TListItem.Delete |  | Removes the list item from the container.